## GtkText

GtkText

## Functions

GtkWidget * | gtk_text_new ()
void | gtk_text_set_editable ()
void | gtk_text_set_word_wrap ()
void | gtk_text_set_line_wrap ()
void | gtk_text_set_adjustments ()
void | gtk_text_set_point ()
guint | gtk_text_get_point ()
guint | gtk_text_get_length ()
void | gtk_text_freeze ()
void | gtk_text_thaw ()
void | gtk_text_insert ()
gboolean | gtk_text_backward_delete ()
gboolean | gtk_text_forward_delete ()
#define | GTK_TEXT_INDEX()

## Properties

GtkAdjustment * | hadjustment | Read / Write
gboolean | line-wrap | Read / Write
GtkAdjustment * | vadjustment | Read / Write
gboolean | word-wrap | Read / Write

## Signals

void | set-scroll-adjustments | Run Last

## Types and Values

struct | GtkText
| GtkTextFont
struct | GtkPropertyMark

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkOldEditable
                        ╰── GtkText

## Implemented Interfaces

GtkText implements AtkImplementorIface, GtkBuildable and GtkEditable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_text_new ()

    GtkWidget *
    gtk_text_new (GtkAdjustment *hadj,
                  GtkAdjustment *vadj);

`gtk_text_new` is deprecated and should not be used in newly-written code.

### gtk_text_set_editable ()

    void
    gtk_text_set_editable (GtkText *text,
                           gboolean editable);

`gtk_text_set_editable` is deprecated and should not be used in newly-written code.

### gtk_text_set_word_wrap ()

    void
    gtk_text_set_word_wrap (GtkText *text,
                            gboolean word_wrap);

`gtk_text_set_word_wrap` is deprecated and should not be used in newly-written code.

### gtk_text_set_line_wrap ()

    void
    gtk_text_set_line_wrap (GtkText *text,
                            gboolean line_wrap);

`gtk_text_set_line_wrap` is deprecated and should not be used in newly-written code.

### gtk_text_set_adjustments ()

    void
    gtk_text_set_adjustments (GtkText *text,
                              GtkAdjustment *hadj,
                              GtkAdjustment *vadj);

`gtk_text_set_adjustments` is deprecated and should not be used in newly-written code.

### gtk_text_set_point ()

    void
    gtk_text_set_point (GtkText *text,
                        guint index);

`gtk_text_set_point` is deprecated and should not be used in newly-written code.

### gtk_text_get_point ()

    guint
    gtk_text_get_point (GtkText *text);

`gtk_text_get_point` is deprecated and should not be used in newly-written code.

### gtk_text_get_length ()

    guint
    gtk_text_get_length (GtkText *text);

`gtk_text_get_length` is deprecated and should not be used in newly-written code.

### gtk_text_freeze ()

    void
    gtk_text_freeze (GtkText *text);

`gtk_text_freeze` is deprecated and should not be used in newly-written code.

### gtk_text_thaw ()

    void
    gtk_text_thaw (GtkText *text);

`gtk_text_thaw` is deprecated and should not be used in newly-written code.

### gtk_text_insert ()

    void
    gtk_text_insert (GtkText *text,
                     GdkFont *font,
                     const GdkColor *fore,
                     const GdkColor *back,
                     const char *chars,
                     gint length);

`gtk_text_insert` is deprecated and should not be used in newly-written code.

### gtk_text_backward_delete ()

    gboolean
    gtk_text_backward_delete (GtkText *text,
                              guint nchars);

`gtk_text_backward_delete` is deprecated and should not be used in newly-written code.

### gtk_text_forward_delete ()

    gboolean
    gtk_text_forward_delete (GtkText *text,
                             guint nchars);

`gtk_text_forward_delete` is deprecated and should not be used in newly-written code.

### GTK_TEXT_INDEX()

    #define             GTK_TEXT_INDEX(t, index)

`GTK_TEXT_INDEX` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkText

    struct GtkText;

`GtkText` is deprecated and should not be used in newly-written code.

### GtkTextFont

    typedef struct _GtkTextFont GtkTextFont;

`GtkTextFont` is deprecated and should not be used in newly-written code.

### struct GtkPropertyMark

    struct GtkPropertyMark {
      /* Position in list. */
      GList* property;

      /* Offset into that property. */
      guint offset;

      /* Current index. */
      guint index;
    };

`GtkPropertyMark` is deprecated and should not be used in newly-written code.

## Property Details

### The `“hadjustment”` property

      “hadjustment”              GtkAdjustment *

Horizontal adjustment for the text widget.

Flags: Read / Write

### The `“line-wrap”` property

      “line-wrap”                gboolean

Whether lines are wrapped at widget edges.

Flags: Read / Write

Default value: TRUE

### The `“vadjustment”` property

      “vadjustment”              GtkAdjustment *

Vertical adjustment for the text widget.

Flags: Read / Write

### The `“word-wrap”` property

      “word-wrap”                gboolean

Whether words are wrapped at widget edges.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“set-scroll-adjustments”` signal

    void
    user_function (GtkText       *text,
                   GtkAdjustment *arg1,
                   GtkAdjustment *arg2,
                   gpointer       user_data)

Flags: Run Last